<div class="list-group">
    {% for place in places %}
        <!-- Button trigger modal -->
        <button type="button" class="list-group-item list-group-item-action" data-toggle="modal"
                data-target="#place{{ place.pk }}">
            {{ place }} ({{ place.str_days }})
        </button>
    {% endfor %}
</div>

{% for place in places %}
    <!-- Modal -->
    <div class="modal fade" id="place{{ place.pk }}" tabindex="-1" role="dialog"
         aria-labelledby="place{{ place.pk }}Label"
         aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="place{{ place.pk }}Label">Navigation</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    {% for data in place.navigation_providers %}
                        <a href="{{ data.url }}" class="btn btn-primary btn-block">
                            <i class="fas fa-{{ data.provider.icon }}"></i> {{ data.provider }}
                        </a>
                    {% endfor %}
                </div>
                <div class="modal-footer">
                    <a href="{% url 'place-map' place.pk %}{% if day %}?day={{ day.pk }}{% endif %}"
                       class="btn btn-info">
                        <i class="fas fa-map"></i> Voir la carte
                    </a>
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Fermer</button>
                </div>
            </div>
        </div>
    </div>
{% endfor %}
